<?php
/***************************************************************************
 *   Copyright (C) 2006 Artur Wiebe                                        *
 *   wibix@gmx.de                                                          *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
require_once("../../maincore.php");
require_once(BASEDIR."subheader.php");
require_once(BASEDIR."side_left.php");


if(file_exists(INFUSIONS."aw_wow/locale/".$settings['locale'].".php")) {
        include(INFUSIONS."aw_wow/locale/".$settings['locale'].".php");
} else {
        include(INFUSIONS."aw_wow/locale/German.php");
}


$per_page = 10;
$rowstart = 0;
error_reporting(E_ALL);
if(isset($_GET['rowstart']) && isNum($rowstart)) {
	$rowstart = $_GET['rowstart'];
}


?>
<script type="text/javascript">
function verify(frm) {
	if(frm.name.value=="" || frm.desc.value=="" || frm.macro.value=="") {
		alert("<?php echo $locale['WOW_011']; ?>");
		return false;
	}
	return true;
}
</script>
<?php


opentable($locale['WOW_001']);
/*
 * ACTION!
 */
if(iMEMBER && isset($_POST['save'])) {
	$name = stripinput($_POST['name']);
	$desc = phpentities(stripslashes($_POST['desc']));
	$macro = phpentities(stripslashes($_POST['macro']));
	$user_id = $userdata['user_id'];
	$now = time();

	if(isset($_POST['id'])) {
		$id = $_POST['id'];
		$cond = (iSUPERADMIN ? "" : " AND user_id='$user_id'");
		$query_id = dbquery("UPDATE ".DB_PREFIX."wow_macros"
			." SET name='$name'"
			.",description='$desc'"
			.",macro='$macro'"
			.",edit_user_id='$user_id'"
			.",edit_datestamp='$now'"
			." WHERE id='$id'".$cond);
	} else {
		$query_id = dbquery("INSERT INTO ".DB_PREFIX."wow_macros"
			."(name, description, macro, user_id, datestamp)"
			." VALUES "
			."('$name', '$desc', '$macro', '$user_id', '$now')");
	}

	echo "<p><div align='center' style='margin:10px;'><font color='";
	if($query_id) {
		if(isset($_POST['id'])) {
			echo "blue'>".$locale['WOW_014'];
		} else {
			echo "green'>".$locale['WOW_012'];
		}
	} else {
		echo "red'>".$locale['WOW_013'];
	}
	echo "</font></div>\n";
}


/*
 * GUI
 */
$query_id = dbquery("SELECT wow.*,tu.user_name"
	." FROM ".DB_PREFIX."wow_macros AS wow"
	." LEFT JOIN ".DB_PREFIX."users AS tu"
	." USING (user_id) ORDER BY name"
	." LIMIT $rowstart, $per_page");
if($query_id && dbrows($query_id)) {
	echo "<table class='tbl-border' width='100%' cellspacing='1'>\n"
		."<tr><td width='20%' class='tbl2'>".$locale['WOW_004']."</td>"
		."<td width='40%' class='tbl2'>".$locale['WOW_005']."</td>"
		."<td width='40%' class='tbl2'>".$locale['WOW_006']."</td>"
		."</tr>";
	$user_id = (iMEMBER ? $userdata['user_id'] : 0);
	while($row = dbarray($query_id)) {
		$row_id = $row['user_id'];
		if(iSUPERADMIN) {
			$user_id = $row_id;
		}
		echo "<tr><td class='tbl1'><b>".$row['name']."</b><br/>"
			."<span class='small2'>".$locale['WOW_008']
			."<a href='".BASEDIR."profile.php?lookup=$row_id'>"
			.$row['user_name']."</a><br/>".$locale['WOW_009']
			.showdate("shortdate", $row['datestamp'])."</span>"
			.($user_id==$row_id
			? "<br/>[<a href='".FUSION_SELF."?edit_id=".$row['id']
			."'>".$locale['WOW_010']."</a>]" : "")."</td>"
			."<td class='tbl1' valign='top'>"
				.nl2br($row['description'])."</td>"
			."<td class='tbl1' valign='top'>"
				.nl2br($row['macro'])."</td>"
			."</tr>\n";
	}
	echo "</table>\n";

	$count = dbcount("(*)", "wow_macros", "");
	echo "<div align='center' style='margin-top:4px;'>"
		.makePageNav($rowstart, $per_page, $count, $count,
			FUSION_SELF."?")
		."</div>";
}


if(iMEMBER) {
	unset($id);
	$name = "";
	$desc = "";
	$macro = "";
	if(isset($_GET['edit_id']) && isNum($_GET['edit_id'])) {
		$id = $_GET['edit_id'];
		$query_id = dbquery("SELECT * FROM ".DB_PREFIX."wow_macros"
			." WHERE id='$id'");
		if($query_id && dbrows($query_id)==1 && $r=dbarray($query_id)) {
			$name = $r['name'];
			$desc = stripslash($r['description']);
			$macro= stripslash($r['macro']);
		} else {
			unset($id);
		}
	}
	echo "
<div style='margin-top:4px;'></div>
<form method='post' action='".FUSION_SELF."' onSubmit='return verify(this);'>";
	if(isset($id)) {
		echo "<input type='hidden' name='id' value='$id'>";
	}
	echo "
<table class='tbl-border' align='center' cellspacing='1'>
<tr>
	<td class='tbl2'>".$locale['WOW_004'].":</td>
	<td class='tbl1'><input type='text' name='name' class='textbox'
		size='32' value='$name'></td>
</tr>
<tr>
	<td class='tbl2'>".$locale['WOW_005'].":</td>
	<td class='tbl1'><textarea name='desc' class='textbox'
		cols='70' rows='6'>$desc</textarea></td>
</tr>
<tr>
	<td class='tbl2'>".$locale['WOW_006'].":</td>
	<td class='tbl1'><textarea name='macro' class='textbox'
		cols='70' rows='6'>$macro</textarea></td>
</tr>
<tr>
	<td class='tbl2'></td>
	<td class='tbl2'><input type='submit' class='button'
		value='".$locale['WOW_007']."' name='save'></td>
</tr>
</table>
</form>\n";
}

closetable();


error_reporting(0);
require_once(BASEDIR."side_right.php");
require_once(BASEDIR."footer.php");
?>
